# This file is the entry point to configure your own services.
# Files in the packages/ subdirectory configure your dependencies.

# Put parameters here that don't need to change on each machine where the app is deployed
# https://symfony.com/doc/current/best_practices/configuration.html#application-related-configuration
parameters:
    app.locales: ["fr"]
    app.default_locale: "fr"
    app.path_uploads: '/uploads'
    app.admin.logo: 'Logo-Aux-Actes-Citoyens.jpg'
    app.reminder.route_render_modal: 'sov_admin_reminder_render_modal'
    app.assets_directory: '%kernel.project_dir%/public/assets/'

services:
    # default configuration for services in *this* file
    _defaults:
        autowire: true      # Automatically injects dependencies in your services.
        autoconfigure: true # Automatically registers your services as commands, event subscribers, etc.

    # makes classes in src/ available to be used as services
    # this creates a service per class whose id is the fully-qualified class name
    App\:
        resource: '../src/'
        exclude:
            - '../src/DependencyInjection/'
            - '../src/Entity/'
            - '../src/Kernel.php'
            - '../src/Tests/'

    # controllers are imported separately to make sure services can be injected
    # as action arguments even if you don't extend any base controller class
    App\Controller\:
        resource: '../src/Controller/'
        tags: ['controller.service_arguments']

    Mailjet\MailjetSwiftMailer\SwiftMailer\MailjetTransport: '@swiftmailer.mailer.transport.mailjet'

    app.form.extension.type.cookie_consent:
        class: App\Form\CookieConsentTypeExtension
        tags:
            - { name: form.type_extension, extended_type: ConnectHolland\CookieConsentBundle\Form\CookieConsentType }
        arguments:
            - '@ConnectHolland\CookieConsentBundle\Cookie\CookieChecker'
            - '%ch_cookie_consent.categories%'
            - '%ch_cookie_consent.simplified%'

welp_mailchimp:
    api_key: 86a597a26c06a1896fe0adc58d1e8aef-us2